Bug 1467316 - kwin and kactivitymanager crash on the first boot of KDE
kwin and kactivitymanager crash on the first boot of KDE
Status: NEW
Product: Fedora
Classification: Fedora
Component: kwin (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On: 1370222
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 07:34 EDT by Jan Sedlák
Modified: 2018-05-03 04:05 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journal (243.01 KB, text/x-vhdl)
2017-07-03 07:34 EDT, Jan Sedlák
no flags Details
all installed packages (55.70 KB, text/plain)
2017-07-03 07:57 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2017-07-03 07:34:11 EDT
Created attachment 1293852 [details]
journal

Description of problem:
After installing Fedora 26 from live KDE image, both kwin and kactivitymanager crash during first boot. kwin crash is shown in ABRT.

After initial-setup phase, journal shows:

Jul 03 13:08:19 localhost.localdomain kwin_x11[935]: QXcbConnection: XCB error: 3 (BadWindow), sequence: 5077, resource id: 10485763, major code: 15 (QueryTree), minor code: 0
Jul 03 13:08:19 localhost.localdomain initial-setup[1066]: Stopping the window manager (/usr/bin/kwin_x11)
Jul 03 13:08:19 localhost.localdomain run-initial-setup[728]: /bin/xinit: connection to X server lost

then it crashes kactivitymanager:

Jul 03 13:08:19 localhost.localdomain kactivitymanagerd[955]: The X11 connection broke (error 1). Did the X11 server die?
Jul 03 13:08:19 localhost.localdomain kernel: show_signal_msg: 65 callbacks suppressed
Jul 03 13:08:19 localhost.localdomain kernel: kactivitymanage[955]: segfault at 7f222a290650 ip 00007f22141249f1 sp 00007ffef48167f8 error 4 in libQt5Sql.so.5.7.1[7f221410f000+49000]

and finally:

Jul 03 13:08:19 localhost.localdomain kwin_x11[935]: The X11 connection broke: I/O error (code 1)
Jul 03 13:08:19 localhost.localdomain run-initial-setup[728]: waiting for X server to shut down XIO:  fatal IO error 2 (No such file or directory) on X server ":9"
Jul 03 13:08:19 localhost.localdomain run-initial-setup[728]:       after 5115 requests (5102 known processed) with 0 events remaining.
Jul 03 13:08:19 localhost.localdomain run-initial-setup[728]: Application::crashHandler() called with signal 11; recent crashes: 1
Jul 03 13:08:19 localhost.localdomain run-initial-setup[728]: (II) Server terminated successfully (0). Closing log file.
Jul 03 13:08:19 localhost.localdomain systemd-coredump[1069]: Process 955 (kactivitymanage) of user 0 dumped core.

followed by stacktrace. ABRT doesn't allow me to report kwin crash, it shows "No segments found in coredump".

Version-Release number of selected component (if applicable):
kwin-5.10.1-1.fc26.x86_64
kactivitymanagerd-5.10.1-1.fc26.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install Fedora 26 from live KDE RC 1.3 image.
2. Boot into installed image.
3. Run ABRT, kwin error is shown there, kactivitymanager segfault is shown in journal.
Comment 1 Jan Sedlák 2017-07-03 07:36:40 EDT
Note that this is happening in VM.
Comment 2 Fedora Blocker Bugs Application 2017-07-03 07:39:47 EDT
Proposed as a Blocker for 26-final by Fedora user jsedlak using the blocker tracking app because:

 Violates "There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop."
Comment 3 Jan Sedlák 2017-07-03 07:56:24 EDT
I was also able to reproduce this on bare metal.
Comment 4 Jan Sedlák 2017-07-03 07:57 EDT
Created attachment 1293874 [details]
all installed packages
Comment 5 Rex Dieter 2017-07-03 09:14:40 EDT
likely a dup of bug #1370222
Comment 6 Matthew Miller 2017-07-03 10:08:41 EDT
(In reply to Rex Dieter from comment #5)
> likely a dup of bug #1370222

That bug dates back to 2016-08-25. Any suggestions for a fix?
Comment 7 Matthew Miller 2017-07-03 10:09:50 EDT
Is this new in RC 1.3?
Comment 8 Matthew Miller 2017-07-03 10:37:18 EDT
I see the crash in the journal, but there are no *notifications* thereof. That's not pretty but I don't think violates the criteria as stated. I'm -1 to blocker but could be +1 to a fe.
Comment 9 Rex Dieter 2017-07-03 10:52:09 EDT
The ideal long-term fix is that sddm needs to support a more robust xauth mechanism that allows for hostname changes after it has started (see the linked bug and upstream rfe https://github.com/sddm/sddm/issues/733 )

short term, any workaround that would avoid hostname changes would be acceptable too.
Comment 10 Rex Dieter 2017-07-03 10:58:43 EDT
On second thought, this may not be the same issue, initial-setup should be running *before* sddm (I think), and this stems from there (and xinit).


So, the only thing crashing in the included log messages I see is kactivitymanagerd (which I believe is likely fixed in a subsquent Qt5 release, that didn't make the cut for f26 GA).
Comment 11 Adam Williamson 2017-07-03 11:48:09 EDT
If there are no user-visible notifications of this, and it doesn't result in any other criteria-violating behaviour, I'm -1 on it.
Comment 12 Adam Williamson 2017-07-03 14:37:46 EDT
Discussed at 2017-07-03 blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-07-03/f26-blocker-review.2017-07-03-16.06.html . Rejected as a blocker on the basis that this does not appear to cause any significant practical problems, and there is no user-visible desktop notification of the crashes (as the criterion states).
Comment 13 Fedora End Of Life 2018-05-03 04:05:02 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.